## stopt 4.2+dfsg1

=== debian/changelog ===
stopt (4.2+dfsg1-3) unstable; urgency=medium

  [ Pierre Gruet ]
  * Marking doc and examples packages as Multi-Arch: foreign
  * Handling some tests differently due to precision issues on i386 and ppc64el

  [ Nilesh Patra ]
  * Add d/salsa-ci.yml

 -- Pierre Gruet <pgt@debian.org>  Tue, 15 Feb 2022 22:17:44 +0100

stopt (4.2+dfsg1-2) unstable; urgency=medium

  * Source-only upload
  * Adding g++ as a dependency of the autopkgtest

 -- Pierre Gruet <pgt@debian.org>  Sun, 13 Feb 2022 07:54:16 +0100

stopt (4.2+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #1001099)

 -- Pierre Gruet <pgt@debian.org>  Tue, 07 Dec 2021 14:49:08 +0100
