## stopt 5.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # vim: set sw=2 ts=2 sts=2:
-CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.12)
 
 PROJECT(LIBRARY_STOPT CXX C)
 
 
 # define StOpt versions
-SET(STOPT_MAJOR_VERSION 4)
-SET(STOPT_MINOR_VERSION 2)
+SET(STOPT_MAJOR_VERSION 5)
+SET(STOPT_MINOR_VERSION 0)
 ADD_DEFINITIONS("-DSTOPT_MAJOR_VERSION=${STOPT_MAJOR_VERSION}")
 ADD_DEFINITIONS("-DSTOPT_MINOR_VERSION=${STOPT_MINOR_VERSION}")
 
@@ -213,16 +213,15 @@
 IF(BUILD_PYTHON)
     
   # Python
-  FIND_PACKAGE(PythonInterp REQUIRED)
-  FIND_PACKAGE(PythonLibsNew REQUIRED)
-  MESSAGE(STATUS "Python: ${PYTHON_INCLUDE_DIRS}")
-  INCLUDE_DIRECTORIES(SYSTEM ${PYTHON_INCLUDE_DIRS})
+  FIND_PACKAGE(Python REQUIRED COMPONENTS Interpreter Development NumPy)
+  INCLUDE_DIRECTORIES(SYSTEM ${Python_INCLUDE_DIRS})
+  MESSAGE(STATUS "Python: ${Python_INCLUDE_DIRS}")
+
   # find pybind
   find_package(PyBind11 REQUIRED)
 
   # Numpy
-  FIND_PACKAGE(NumPy REQUIRED)
-  INCLUDE_DIRECTORIES(SYSTEM ${NUMPY_INCLUDE_DIRS})
+  INCLUDE_DIRECTORIES(SYSTEM ${Python3_NumPy_INCLUDE_DIRS})
   SET(SOURCE_PYTHON ${PROJECT_SOURCE_DIR}/StOpt/python)
   IF(CMAKE_SYSTEM_NAME MATCHES "Windows")
     SET(PYTHON_SUFFIX ".pyd")
@@ -260,11 +259,11 @@
     ELSE()
       
       ADD_LIBRARY(StOptGrids  SHARED  ${SOURCE_PYTHON}/Pybind11StOptGrids.cpp)
-      TARGET_LINK_LIBRARIES(StOptGrids  ${STOPT_LIB}   ${GENERS_LIB} ${Boost_SERIALIZATION_LIBRARY}   ${Boost_MPI_LIBRARY} ${PYTHON_LIBRARIES})
+      TARGET_LINK_LIBRARIES(StOptGrids  ${STOPT_LIB}   ${GENERS_LIB} ${Boost_SERIALIZATION_LIBRARY}   ${Boost_MPI_LIBRARY} ${Python_LIBRARIES})
       SET_TARGET_PROPERTIES(StOptGrids  PROPERTIES  PREFIX "" SUFFIX ${PYTHON_SUFFIX}  COMPILE_DEFINITIONS  "PYTHONMODULE;NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION")
 
       ADD_LIBRARY(StOptReg  SHARED  ${SOURCE_PYTHON}/Pybind11StOptReg.cpp)
-      TARGET_LINK_LIBRARIES(StOptReg  ${STOPT_LIB}   ${GENERS_LIB} ${Boost_SERIALIZATION_LIBRARY}   ${Boost_MPI_LIBRARY} ${PYTHON_LIBRARIES})
+      TARGET_LINK_LIBRARIES(StOptReg  ${STOPT_LIB}   ${GENERS_LIB} ${Boost_SERIALIZATION_LIBRARY}   ${Boost_MPI_LIBRARY} ${Python_LIBRARIES})
       SET_TARGET_PROPERTIES(StOptReg  PROPERTIES  PREFIX "" SUFFIX ${PYTHON_SUFFIX}  COMPILE_DEFINITIONS  "PYTHONMODULE;NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION")
 
       ADD_LIBRARY(StOptTree  SHARED  ${SOURCE_PYTHON}/Pybind11StOptTree.cpp)
