=== debian/changelog ===
stopt (5.0+dfsg-5) unstable; urgency=medium

  * Testing the macro __powerpc__ instead of __ppc64__ on ppc64el in order to
    exclude irrelevant tests, hereby accompanying the auto-upperlimit-python3
    transition

 -- Pierre Gruet <pgt@debian.org>  Mon, 28 Mar 2022 17:07:42 +0200

stopt (5.0+dfsg-4) unstable; urgency=medium

  * Omitting tests for American options in 3D and 4D on ppc64el

 -- Pierre Gruet <pgt@debian.org>  Thu, 24 Mar 2022 09:48:15 +0100

stopt (5.0+dfsg-3) unstable; urgency=medium

  * Decreasing accuracy requirements again for ppc64el failing test
  * Excluding testGridKernelRegression.py from autopkgtest, as it needs a
    number of simulations that is too high for 32-bit arches
  * Fixing issue linked to concurrent access to geners archives during the
    tests

 -- Pierre Gruet <pgt@debian.org>  Wed, 23 Mar 2022 23:05:33 +0100

stopt (5.0+dfsg-2) unstable; urgency=medium

  * Dealing with accuracy issue during the tests on ppc64el

 -- Pierre Gruet <pgt@debian.org>  Tue, 22 Mar 2022 12:35:07 +0100

stopt (5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.0+dfsg

 -- Pierre Gruet <pgt@debian.org>  Mon, 21 Mar 2022 21:53:47 +0100

stopt (5.0~rc4+dfsg-1) experimental; urgency=medium

  * New upstream version 5.0~rc4+dfsg
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Wed, 16 Mar 2022 16:48:37 +0100

stopt (5.0~rc3+dfsg-2) experimental; urgency=medium

  * Adding d/gbp.conf to handle the MUT package with gbp
  * Trying to use JacobiSVD instead of BDCSVD to run tests successfully on mips64el and mipsel

 -- Pierre Gruet <pgt@debian.org>  Tue, 15 Mar 2022 21:01:06 +0100

stopt (5.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream version 5.0~rc3+dfsg
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Wed, 09 Mar 2022 10:52:36 +0100

stopt (5.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream version 5.0~rc2+dfsg
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Fri, 25 Feb 2022 12:54:35 +0100

stopt (5.0~rc1+dfsg-4) experimental; urgency=medium

  * Fixing some more tests to avoid numerical errors

 -- Pierre Gruet <pgt@debian.org>  Fri, 25 Feb 2022 11:36:31 +0100

stopt (5.0~rc1+dfsg-3) experimental; urgency=medium

  * Reindexing geners files to run tests in parallel

 -- Pierre Gruet <pgt@debian.org>  Thu, 24 Feb 2022 22:20:30 +0100

stopt (5.0~rc1+dfsg-2) experimental; urgency=medium

  * Fixing precision issues in some tests
  * Reorganizing build-dependencies using -Arch and -Indep

 -- Pierre Gruet <pgt@debian.org>  Tue, 22 Feb 2022 21:03:55 +0100

stopt (5.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream version 5.0~rc1+dfsg
  * Refreshing patches
  * Bumping SONAME to libstopt.so.5
  * Reorganizing targets in d/rules, based on -indep and -arch
  * Alleviating override_dh_fixperms, less changes are needed now
  * Automatically getting the version from DEB_VERSION_UPSTREAM in d/rules

 -- Pierre Gruet <pgt@debian.org>  Mon, 21 Feb 2022 22:32:10 +0100
