=== debian/control ===
--- 
+++ 
@@ -5,39 +5,39 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               cmake,
-               coinor-libcoinutils-dev,
-               coinor-libosi-dev,
-               coinor-libclp-dev,
                dh-python,
-               libboost-chrono-dev,
-               libboost-log-dev,
-               libboost-mpi-dev,
-               libboost-random-dev,
-               libboost-serialization-dev,
-               libboost-system-dev,
-               libboost-test-dev,
-               libboost-thread-dev,
-               libboost-timer-dev,
-               libeigen3-dev,
-               libopenmpi-dev,
-               libgeners-dev,
-               pybind11-dev,
-               python3-all-dev,
-               python3-docutils,
-               python3-numpy,
-               texlive-fonts-extra <!nodoc>,
-               texlive-latex-recommended <!nodoc>,
-               texlive-plain-generic <!nodoc>,
-               texlive-pstricks <!nodoc>,
-               texlive-science <!nodoc>
+Build-Depends-Arch: cmake,
+                    coinor-libcoinutils-dev,
+                    coinor-libosi-dev,
+                    coinor-libclp-dev,
+                    libboost-chrono-dev,
+                    libboost-log-dev,
+                    libboost-mpi-dev,
+                    libboost-random-dev,
+                    libboost-serialization-dev,
+                    libboost-system-dev,
+                    libboost-test-dev,
+                    libboost-thread-dev,
+                    libboost-timer-dev,
+                    libeigen3-dev,
+                    libopenmpi-dev,
+                    libgeners-dev,
+                    pybind11-dev,
+                    python3-all-dev,
+                    python3-docutils,
+                    python3-numpy
+Build-Depends-Indep: texlive-fonts-extra <!nodoc>,
+                     texlive-latex-recommended <!nodoc>,
+                     texlive-plain-generic <!nodoc>,
+                     texlive-pstricks <!nodoc>,
+                     texlive-science <!nodoc>
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/math-team/stopt
 Vcs-Git: https://salsa.debian.org/math-team/stopt.git
 Homepage: https://gitlab.com/stochastic-control/StOpt/
 Rules-Requires-Root: no
 
-Package: libstopt4
+Package: libstopt5
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -77,7 +77,7 @@
 Package: libstopt-dev
 Architecture: any
 Section: libdevel
-Depends: libstopt4 (= ${binary:Version}),
+Depends: libstopt5 (= ${binary:Version}),
          coinor-libcoinutils-dev,
          coinor-libosi-dev,
          coinor-libclp-dev,
@@ -159,7 +159,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libstopt4 (= ${binary:Version}),
+Suggests: libstopt5 (= ${binary:Version}),
           libstopt-dev (= ${binary:Version}),
           stopt-examples (= ${binary:Version}),
           python3-stopt (= ${binary:Version})
