=== debian/changelog ===
stopt (5.1+dfsg-4) unstable; urgency=medium

  * Providing an empty override for dh_auto_test-indep so that tests are not
    run twice during a full build (Closes: #1015063)

 -- Pierre Gruet <pgt@debian.org>  Mon, 18 Jul 2022 23:08:07 +0200

stopt (5.1+dfsg-3) unstable; urgency=medium

  * Running the tests sequentially

 -- Pierre Gruet <pgt@debian.org>  Mon, 04 Jul 2022 09:40:03 +0200

stopt (5.1+dfsg-2) unstable; urgency=medium

  * Adding a patch from upstream to solve concurrency issues in tests

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Jul 2022 09:32:10 +0200

stopt (5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.1+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.1 (no change)
  * Passing CMAKE_BUILD_RPATH_USE_ORIGIN=ON to CMake to enhance build
    reproducibility

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 10:47:51 +0200
