=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                      texlive-plain-generic <!nodoc>,
                      texlive-pstricks <!nodoc>,
                      texlive-science <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/math-team/stopt
 Vcs-Git: https://salsa.debian.org/math-team/stopt.git
 Homepage: https://gitlab.com/stochastic-control/StOpt/
