=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,9 @@
 	dh_auto_configure -- \
 	        -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_HOST_MULTIARCH)" \
 	        -DCMAKE_INSTALL_PREFIX="/usr" \
+	        -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 	        -DSOVERSION_STOPT="$(SOVERSION_STOPT)" \
-	        -DVERSION_STOPT="$(VERSION_STOPT)" \
+	        -DVERSION_STOPT="$(VERSION_STOPT)"
 
 override_dh_auto_configure-indep:
 
@@ -44,6 +45,14 @@
 	        pdflatex documentation.tex && \
 	        pdflatex documentation.tex
 endif
+
+override_dh_auto_test-arch:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test -a --no-parallel
+endif
+
+# No test to perform for the architecture-independent packages
+override_dh_auto_test-indep:
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
