=== debian/changelog ===
stopt (5.2+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2+dfsg:
    - Fixing incompatibilities with numpy 1.24.1 (Closes: #1027207)
  * Refreshing patches
  * Raising Standards version to 4.6.2 (no change)
  * Set upstream metadata fields: Repository-Browse.

 -- Pierre Gruet <pgt@debian.org>  Fri, 06 Jan 2023 12:42:48 +0100

stopt (5.1+dfsg-6) unstable; urgency=medium

  * Build-depending on python3-dev instead of python3-all-dev
    (Closes: #1024315)
  * Passing Python3_ variables needed by CMake via d/rules instead of defining
    them through the CMake find_package mechanism to avoid errors when multiple
    versions of Python3 are installed together

 -- Pierre Gruet <pgt@debian.org>  Fri, 18 Nov 2022 23:35:40 +0100

stopt (5.1+dfsg-5) unstable; urgency=medium

  * Omitting to run tests on 4 and 8 cores on mipsel as it causes freezes on
    the Debian buildds

 -- Pierre Gruet <pgt@debian.org>  Tue, 26 Jul 2022 20:54:48 +0200
