## stopt 5.5%2Bdfsg

=== debian/changelog ===
stopt (5.5+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Pierre Gruet <pgt@debian.org>  Wed, 08 Mar 2023 15:56:48 +0100

stopt (5.5+dfsg-1) unstable; urgency=medium

  * New upstream version 5.5+dfsg

 -- Pierre Gruet <pgt@debian.org>  Sun, 29 Jan 2023 15:03:03 +0100

stopt (5.4+dfsg-1~exp0) experimental; urgency=medium

  * New upstream version 5.4+dfsg

 -- Pierre Gruet <pgt@debian.org>  Sun, 22 Jan 2023 10:38:32 +0100

stopt (5.3+dfsg-1~exp0) experimental; urgency=medium

  * New upstream version 5.3+dfsg
  * Refreshing patches
  * Stopping substituting quotes with angle brackets in #include directives
    for geners

 -- Pierre Gruet <pgt@debian.org>  Thu, 19 Jan 2023 06:58:45 +0100
