=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                     libopenmpi-dev,
                     libgeners-dev,
                     pybind11-dev,
-                    python3-all-dev,
+                    python3-dev,
                     python3-docutils,
                     python3-numpy
 Build-Depends-Indep: texlive-fonts-extra <!nodoc>,
@@ -31,7 +31,7 @@
                      texlive-plain-generic <!nodoc>,
                      texlive-pstricks <!nodoc>,
                      texlive-science <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/math-team/stopt
 Vcs-Git: https://salsa.debian.org/math-team/stopt.git
 Homepage: https://gitlab.com/stochastic-control/StOpt/
