=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include /usr/share/dpkg/pkg-info.mk
+
+PY3VER=$(shell py3versions -d)
 
 SOVERSION_STOPT=5
 VERSION_STOPT=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -E 's/~rc[0-9]*// ; s/\+dfsg[0-9]*//')
@@ -28,7 +30,10 @@
 	        -DCMAKE_INSTALL_PREFIX="/usr" \
 	        -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 	        -DSOVERSION_STOPT="$(SOVERSION_STOPT)" \
-	        -DVERSION_STOPT="$(VERSION_STOPT)"
+	        -DVERSION_STOPT="$(VERSION_STOPT)" \
+	        -DPython3_INCLUDE_DIRS=$(shell python3-config --includes | sed 's/.*-I//') \
+	        -DPython3_LIBRARIES=$(shell ls /usr/lib/$(DEB_HOST_MULTIARCH)/libpython*.so | grep "$(PY3VER)") \
+	        -DPython3_NumPy_INCLUDE_DIRS=/usr/lib/python3/dist-packages/numpy/core/include
 
 override_dh_auto_configure-indep:
 
@@ -48,7 +53,13 @@
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+# Disabling tests with 4 or 8 cores on mipsel as it causes freezes and thus
+# failures on the buildds.
+ifeq ($(shell dpkg --print-architecture),mipsel)
+	dh_auto_test -a --no-parallel -- ARGS+='-E "(4|8)core"'
+else
 	dh_auto_test -a --no-parallel
+endif
 endif
 
 # No test to perform for the architecture-independent packages
