## stopt 5.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # define StOpt versions
 SET(STOPT_MAJOR_VERSION 5)
-SET(STOPT_MINOR_VERSION 5)
+SET(STOPT_MINOR_VERSION 7)
 ADD_DEFINITIONS("-DSTOPT_MAJOR_VERSION=${STOPT_MAJOR_VERSION}")
 ADD_DEFINITIONS("-DSTOPT_MINOR_VERSION=${STOPT_MINOR_VERSION}")
