=== debian/changelog ===
stopt (5.7+dfsg-1) unstable; urgency=medium

  * New upstream version 5.7+dfsg

 -- Pierre Gruet <pgt@debian.org>  Mon, 26 Jun 2023 11:47:06 +0200
