=== debian/changelog ===
stopt (5.8+dfsg-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:55:16 +1100

stopt (5.8+dfsg-1.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:22:18 +0100

stopt (5.8+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062931

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:38:41 +0000

stopt (5.8+dfsg-1) unstable; urgency=medium

  * New upstream version 5.8+dfsg
  * Removing mipsel-related treatments in d/rules, as mipsel is not a
    supported architecture anymore

 -- Pierre Gruet <pgt@debian.org>  Fri, 13 Oct 2023 16:48:54 +0200
