=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: stopt
-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Pierre Gruet <pgt@debian.org>,
            Xavier Warin <xavier.warin@gmail.com>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-python,
-Build-Depends-Arch: cmake,
+Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
                     coinor-libcoinutils-dev,
                     coinor-libosi-dev,
                     coinor-libclp-dev,
@@ -37,7 +38,10 @@
 Homepage: https://gitlab.com/stochastic-control/StOpt/
 Rules-Requires-Root: no
 
-Package: libstopt5
+Package: libstopt5t64
+Provides: ${t64:Provides}
+Replaces: libstopt5
+Breaks: libstopt5 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -77,7 +81,7 @@
 Package: libstopt-dev
 Architecture: any
 Section: libdevel
-Depends: libstopt5 (= ${binary:Version}),
+Depends: libstopt5t64 (= ${binary:Version}),
          coinor-libcoinutils-dev,
          coinor-libosi-dev,
          coinor-libclp-dev,
@@ -159,7 +163,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libstopt5 (= ${binary:Version}),
+Suggests: libstopt5t64 (= ${binary:Version}),
           libstopt-dev (= ${binary:Version}),
           stopt-examples (= ${binary:Version}),
           python3-stopt (= ${binary:Version})
