=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,14 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# If noopt was not passed, building with -O3 instead of -O2 to enhance
+# numerical performance.
+ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 export DEB_CXXFLAGS_MAINT_STRIP=-O2
+endif
+
 include /usr/share/dpkg/buildflags.mk
 CFLAGS+=$(CPPFLAGS)
 CXXFLAGS+=$(CPPFLAGS)
@@ -51,15 +57,10 @@
 	        pdflatex documentation.tex
 endif
 
+# Tests cannot be run safely in parallel.
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-# Disabling tests with 4 or 8 cores on mipsel as it causes freezes and thus
-# failures on the buildds.
-ifeq ($(shell dpkg --print-architecture),mipsel)
-	dh_auto_test -a --no-parallel -- ARGS+='-E "(4|8)core"'
-else
 	dh_auto_test -a --no-parallel
-endif
 endif
 
 # No test to perform for the architecture-independent packages
