=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*//,oversionmangle=s/(.*)/$1+dfsg/" \
  https://gitlab.com/stochastic-control/StOpt/tags \
  (?:.*/)StOpt-v@ANY_VERSION@\.tar\.gz debian

opts="component=texdoc" \
  https://gitlab.com/stochastic-control/StOptDoc/tags \
  (?:.*/)StOptDoc-v@ANY_VERSION@\.tar\.gz \
  ignore
