## stopt 5.12%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: stopt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Pierre Gruet <pgt@debian.org>,
            Xavier Warin <xavier.warin@gmail.com>
 Section: math
 Priority: optional
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                dh-python,
-Build-Depends-Arch: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends-Arch: cmake,
                     coinor-libcoinutils-dev,
                     coinor-libosi-dev,
                     coinor-libclp-dev,
@@ -21,8 +20,8 @@
                     libboost-thread-dev,
                     libboost-timer-dev,
                     libeigen3-dev,
-                    libopenmpi-dev,
                     libgeners-dev,
+                    mpi-default-dev,
                     pybind11-dev,
                     python3-dev,
                     python3-docutils,
@@ -32,7 +31,7 @@
                      texlive-plain-generic <!nodoc>,
                      texlive-pstricks <!nodoc>,
                      texlive-science <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/math-team/stopt
 Vcs-Git: https://salsa.debian.org/math-team/stopt.git
 Homepage: https://gitlab.com/stochastic-control/StOpt/
@@ -96,7 +95,7 @@
          libboost-timer-dev,
          libeigen3-dev,
          libgeners-dev,
-         libopenmpi-dev,
+         mpi-default-dev,
          ${misc:Depends}
 Suggests: stopt-doc (= ${binary:Version})
 Description: library for stochastic optimization problems (development package)
